### Method

# Vte Terminal get_encoding

deprecated: 0.54

#### Declaration [src]

    const char*
    vte_terminal_get_encoding (
      VteTerminal* terminal
    )

#### Description [src]

Determines the name of the encoding in which the terminal expects data to be encoded, or `NULL` if UTF-8 is in use.

Deprecated since: 0.54

Support for non-UTF-8 is deprecated.

Gets property | `Vte.Terminal:encoding`

#### Return value

Type: `const char*`

The current encoding for the terminal.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.